Skip to main content
POST
/
v1
/
chat
Chat
curl --request POST \
  --url https://app.textql.com/v1/chat \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "question": "<string>",
  "chatId": "<string>",
  "tools": {
    "connectorIds": [
      123
    ],
    "webSearchEnabled": true,
    "sqlEnabled": true,
    "ontologyEnabled": true,
    "experimentalEnabled": true,
    "tableauEnabled": true,
    "autoApproveEnabled": true,
    "pythonEnabled": true,
    "streamlitEnabled": true,
    "googleDriveEnabled": true,
    "powerbiEnabled": true
  }
}
'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "error": "<string>",
  "model": "<string>",
  "response": "<string>",
  "chatId": "<string>",
  "assets": [
    {
      "target": "<string>",
      "previewType": "<string>",
      "name": "<string>",
      "url": "<string>",
      "content": "<string>",
      "error": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
question
string
Minimum string length: 3
chatId
string | null
tools
tools · object

Response

Success

id
string
Minimum string length: 1
createdAt
string<date-time>

RFC 3339 timestamp format (e.g., "2024-12-25T12:00:00Z")

error
string | null
model
string
Minimum string length: 1
response
string
chatId
string
Minimum string length: 1
assets
PreviewCell · object[]